Imports GPSConnector.Common
Imports GPSConnector.Client.GPSConnectorService

Public Class GPSConnectorCallBackHandler
    Implements IGPSConnectorStatusServiceCallback

    Public Event NewDeviceDataArrival(data As GPSDeviceData)
    Public Event NewLogInfoArrival(logInfo As LogInfo)

    Public Sub NewDeviceData(ByVal data As GPSDeviceData) Implements IGPSConnectorStatusServiceCallback.NewDeviceData
        RaiseEvent NewDeviceDataArrival(data)
    End Sub

    Public Function BeginNewDeviceData(ByVal data As GPSDeviceData, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult Implements IGPSConnectorStatusServiceCallback.BeginNewDeviceData
        Throw New NotImplementedException()
    End Function

    Public Sub EndNewDeviceData(ByVal result As IAsyncResult) Implements IGPSConnectorStatusServiceCallback.EndNewDeviceData
        Throw New NotImplementedException()
    End Sub

    Public Sub NewLogInfo(ByVal logInfo As LogInfo) Implements IGPSConnectorStatusServiceCallback.NewLogInfo
        RaiseEvent NewLogInfoArrival(logInfo)
    End Sub

    Public Function BeginNewLogInfo(ByVal logInfo As LogInfo, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult Implements IGPSConnectorStatusServiceCallback.BeginNewLogInfo
        Throw New NotImplementedException()
    End Function

    Public Sub EndNewLogInfo(ByVal result As IAsyncResult) Implements IGPSConnectorStatusServiceCallback.EndNewLogInfo
        Throw New NotImplementedException()
    End Sub
End Class
